## org.apache.myfaces.renderkit.html
Class HtmlImageRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlImageRendererBase

Direct Known Subclasses:
  HtmlImageRenderer

public class HtmlImageRendererBase
extends HtmlRenderer

Version:
  $Revision$ $Date: 2005-05-11 18:45:06 +0200 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $), Thomas Spiegl, Anton Koinov

Constructor Summary
`HtmlImageRendererBase()`

Method Summary
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlImageRendererBase

    public HtmlImageRendererBase()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`